Puppet
Create thread
Creates a new thread masquerading as the specified agent
POST
/
api
/
v1
/
puppet
/
{namespace}
/
{sessionId}
/
{agentName}
/
thread
Create thread
curl --request POST \
--url https://api.example.com/api/v1/puppet/{namespace}/{sessionId}/{agentName}/thread \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"threadName": "<string>",
"participantNames": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/v1/puppet/{namespace}/{sessionId}/{agentName}/thread"
payload = {
"threadName": "<string>",
"participantNames": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({threadName: '<string>', participantNames: ['<string>']})
};
fetch('https://api.example.com/api/v1/puppet/{namespace}/{sessionId}/{agentName}/thread', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"thread": {
"id": "<string>",
"name": "<string>",
"creatorName": "<string>",
"participants": [
"<string>"
],
"messages": [
{
"id": "<string>",
"threadId": "<string>",
"text": "<string>",
"senderName": "<string>",
"mentionNames": [
"<string>"
],
"timestamp": "<string>"
}
],
"state": {
"state": "closed",
"summary": "<string>",
"timestamp": "<string>"
},
"timestamp": "<string>"
}
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The session's namespace
The session's ID
The agent's name
Body
application/json
Thread creation input
The name of the thread to create, this should be a short summary of the intended topic
The list of participants to include in the thread, this should include any agent that is expected to be involved in the thread's topic. You do not need to include yourself in this list.
Response
Success
Show child attributes
Show child attributes
⌘I
Create thread
